В драйвере устройств беспроводной связи Wi-Fi для операционных систем Linux обнаружена опасная уязвимость, эксплуатируя которую, злоумышленники теоретически могут получить несанкционированный доступ к компьютеру жертвы.

Дыру обнаружил Лоран Бютти, эксперт по вопросам безопасности из компании France Telecom Orange. Проблема затрагивает широко распространенный драйвер MadWi-Fi для устройств на основе чипсетов Atheros. Уязвимость связана с ошибкой переполнения стека, возникающей при обработке определенных пакетов данных. Направив жертве сформированный специальным образом запрос, атакующий может выполнить на удаленном компьютере произвольный программный код. Информацию о дыре Бютти обнародовал в прошлом месяце на хакерской конференции Black Hat в Амстердаме. Разработчики MadWi-Fi уже выпустили обновленную версию драйвера, в которой проблема устранена. Однако включена эта версия MadWi-Fi еще не во все
дистрибутивы операционной системы Linux. Поэтому пользователям рекомендуется загрузить доработанный драйвер вручную.



Оставить мнение